Fetch the connector version last state id for specific action
A state is only accessible to an admin or the owner of the entity
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Path Parameters
publicId*string
Format
uuidconnectorVersion*string
Major version number as an integer
- For 1.0.5 use
1 - For 2.5.6 use
2
You can also use latest for the latest version, or main for the currently main released version.
Match
^main|latest|\d+$backgroundAction*string
Format
stringResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/states/string"{
"message": "successful operation",
"resource": "connector",
"data": {
"id": "01a10fc8-799f-7898-b1fb-8e8567447ee2",
"status": "pending",
"name": "update_to_docker_wrapper_version",
"owner": "01a10fc8-7995-7d32-83f0-b5afda1c030e",
"created": "2026-10-06T07:55:59+02:00",
"config": {
"connectorPublicId": "01a10fc8-7997-7618-b007-e423debb5221",
"majorVersion": 1
},
"data": []
}
}{
"message": "This background action does not exist.",
"errors": []
}{
"message": "Access denied for user."
}{
"message": "Last state was not found based on query parameters."
}How is this guide?